NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_parsequery(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_parsequery - Parse a URL query string into an ns_set

## Table Of Contents

## Synopsis

- ns_parsequery querystring

## Description

This command parses the specified querystring into an ns_set, which is returned. The keys and values will be decoded.

## COMMANDS

ns_parsequery querystring

## EXAMPLES

       % set s [[ns_parsequery "msg=Hello+World%21&amp;a=b&amp;a=b&amp;c=d"]]
       d0

       % ns_set array $s
       msg {Hello World!} a b a b c d